./devel/lua-bitlib, Lua 5.2 bit manipulation library

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.3.0nb1, Package name: lua51-bitlib-5.3.0nb1, Maintainer: pkgsrc-users

bit32 is the native Lua 5.2 bit manipulation library, in the version
from Lua 5.3; it is compatible with Lua 5.1, 5.2 and 5.3.


Required to run:
[lang/lua51]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 995834b630a64c31fb77b08b5f75b950d31918c5
RMD160: cf09dee8e2e18c8f0ae11e1886db1713b7edfef1
Filesize: 21.371 KB

Version history: (Expand)


CVS history: (Expand)


   2019-09-05 20:54:37 by Maya Rashish | Files touched by this commit (2) | Package updated
Log message:
lua-bitlib: fix build on OS X by using libtool.

it will use the portable variants of arguments for us.
bump PKGREVISION.

From clement bouvier in PR pkg/54501
   2018-11-20 18:26:20 by Maya Rashish | Files touched by this commit (4)
Log message:
Add lua-bitlib

bit32 is the native Lua 5.2 bit manipulation library, in the version
from Lua 5.3; it is compatible with Lua 5.1, 5.2 and 5.3.

From Edgar Fuß in PR pkg/53600